> For the complete documentation index, see [llms.txt](https://docs.ciondigital.com/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ciondigital.com/en/industry-solution/exchanges/json-rpc-methods/funds-transfer.md).

# Funds Transfer

The Cion Digital platform calls the Funds Transfer method whenever the user clicks any of the following buttons, selects cryptocurrency (if applicable), and enters the amount.

* Deposit Collateral
* Withdraw Collateral
* Take Loan
* Repay Loan

params object:

| **Key**               | **Value**                                                                                                       |
| --------------------- | --------------------------------------------------------------------------------------------------------------- |
| user\_id              | Unique ID to identify your user                                                                                 |
| funds\_transfer\_type | Enum as explained in the enums section                                                                          |
| currency              | Currency to be transacted                                                                                       |
| blockchain            | Blockchain on which transaction is meant to be executed                                                         |
| address               | Address where funds should to be transferred (applicable only in case of collateral deposit and loan repayment) |
| amount                | Amount to be transacted                                                                                         |
| timestamp             | Time at which this request was generated by our server                                                          |

Example params object:

```
{
    "user_id": "123",
    "funds_transfer_type": "collateral_deposit",
    "currency": "eth",
    "blockchain": "ethereum",
    "address": "0x5Bd7897dFe0ED054E6a18d2bBa4e655BBC5B4B56",
    "amount": 0.5,
    "timestamp": 1658297274725
}
```

Response result object:

| **Key**     | **Definition/meaning**            |
| ----------- | --------------------------------- |
| message     | Response Message                  |
| fieldLabel1 | OTP form field label 1 (required) |
| fieldLabel2 | OTP form field label 2            |

Example response result:

```
{
    "message": "Please enter OTP codes sent to you email and phone",
    "fieldLabel1": "Email OTP",
    "fieldLabel2": "Phone OTP"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ciondigital.com/en/industry-solution/exchanges/json-rpc-methods/funds-transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
